Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.context
Class ChainedTilesApplicationContextFactory

    java.lang.Object
      org.apache.tiles.context.AbstractTilesApplicationContextFactory
          org.apache.tiles.context.ChainedTilesApplicationContextFactory

All Implemented Interfaces:
  Initializable

Direct Known Subclasses:
  EnhancedTilesApplicationContextFactory

Deprecated. Create an instance of `TilesApplicationContext` yourself, by implementing `TilesInitializer` or extending `AbstractTilesInitializer` and overriding `createTilesApplicationContext` method.
Moreover, it does not make sense to "try" if your application is servlet-based, portlet-based, etc. You know it, right?

    public class ChainedTilesApplicationContextFactory

extends AbstractTilesApplicationContextFactory
implements Initializable

Implementation for TilesApplicationContextFactory, that creates a chain of sub-factories, trying each one until it returns a not-null value.

Since:
  2.1.1
Version:
  $Rev: 797540 $ $Date: 2009-07-24 17:42:00 +0200 (ven, 24 lug 2009) $

Field Summary
`static java.lang.String[]` | `DEFAULT_FACTORY_CLASS_NAMES` Deprecated. The default class names to instantiate that compose the chain..
`static java.lang.String` | `FACTORY_CLASS_NAMES` Deprecated. Factory class names initialization parameter to use.

Fields inherited from class org.apache.tiles.context.AbstractTilesApplicationContextFactory
`APPLICATION_CONTEXT_FACTORY_INIT_PARAM`

Constructor Summary
`ChainedTilesApplicationContextFactory()` Deprecated.

Method Summary
`TilesApplicationContext` | `createApplicationContext(java.lang.Object context)` Deprecated. Create a TilesApplicationContext for the given context.
`void` | `init(java.util.Map<java.lang.String,java.lang.String> configParameters)` Deprecated. Initializes the object.
`void` | `setFactories(java.util.List<AbstractTilesApplicationContextFactory> factories)` Deprecated. Sets the factories to be used.

Methods inherited from class org.apache.tiles.context.AbstractTilesApplicationContextFactory
`createFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACTORY_CLASS_NAMES

    public static final java.lang.String FACTORY_CLASS_NAMES

  Deprecated.
  Factory class names initialization parameter to use.

  Since:
    2.1.1
  See Also:
    Constant Field Values

### DEFAULT_FACTORY_CLASS_NAMES

    public static final java.lang.String[] DEFAULT_FACTORY_CLASS_NAMES

  Deprecated.
  The default class names to instantiate that compose the chain..

  Since:
    2.1.1

Constructor Detail

### ChainedTilesApplicationContextFactory

    public ChainedTilesApplicationContextFactory()

  Deprecated.

Method Detail

### setFactories

    public void setFactories(java.util.List<AbstractTilesApplicationContextFactory> factories)

  Deprecated.
  Sets the factories to be used.

  Parameters:
    `factories` - The factories to be used.

### init

    public void init(java.util.Map<java.lang.String,java.lang.String> configParameters)

  Deprecated.
  Initializes the object.

  Specified by:
    `init` in interface `Initializable`
  Parameters:
    `configParameters` - The map of parameters.

### createApplicationContext

    public TilesApplicationContext createApplicationContext(java.lang.Object context)

  Deprecated.
  Create a TilesApplicationContext for the given context.

  Specified by:
    `createApplicationContext` in class `AbstractTilesApplicationContextFactory`
  Parameters:
    `context` - The (application) context to use.
  Returns:
    TilesApplicationContext The Tiles application context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.